.control-bar {
    width: 20%;
    height: 85vh;
    position: fixed;
    left: 0;
    top: 12%;
    background-color: var(--color4);
    border-radius: 0 15px 15px 0;
    overflow: hidden;
    overflow-y: auto;
}

.control-bar::-webkit-scrollbar {
    width: 5px;
}

.control-bar::-webkit-scrollbar-track {
    background-color: transparent;
}

.control-bar::-webkit-scrollbar-thumb {
    background-color: var(--color1);
    border-radius: 15px;
}

.control-bar form {
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    flex-direction: column;
    padding: 0.5rem 1rem;
    color: #ffffff;
    transform: scale(0.9);
}

.control-bar form input[type="text"] {
    width: 100%;
    height: 40px;
    padding: 0.3rem;
    border-radius: 5px;
    border: none;
    outline: none;
    margin-bottom: 1rem;
}

.control-bar form input[type="range"] {
    width: 100%;
    background-color: aqua;
    color: #ffffff;
}

.control-bar form input[type="submit"] {
    width: 100%;
    height: 30px;
    background-color: var(--color1);
    color: #ffffff;
    border: none;
    border-radius: 10px;
    font-weight: 700;
    cursor: pointer;
}

.control-bar form input[type="submit"]:hover {
    background-color: #bf8a18;
}

.control-bar form p {
    width: 100%;
    border-bottom: 2px solid var(--color1);
    opacity: 0.5;
    text-align: left;
    margin-top: 0.3rem;
}

.control-bar form .form-control {
    width: 100%;
    display: flex;
    padding: 0.4rem 0;
}

.control-bar form .form-control-separated {
    width: 100%;
    display: flex;
    padding: 0.4rem 0 0 0;
    justify-content: space-between;
    font-size: 10px;
}

.control-bar form h3 {
    width: 100%;
    display: flex;
    gap: 8px;
    justify-content: center;
}

.properties-container {
    width: 80%;
    min-height: 100vh;
    margin-top: 5%;
    float: right;

    display: flex;
    gap: 20px;
    flex-wrap: wrap;
    padding: 1.5rem;
}

.properties-container .propertie-card {
    position: relative;
    width: 290px;
    height: 360px;
    border-radius: 5px;
    overflow: hidden;
}

.properties-container .propertie-card .card-picture {
    width: 100%;
    height: 100%;
    background-color: azure;
    display: flex;
    justify-content: center;
    align-items: center;
}

.properties-container .propertie-card .card-picture img {
    width: 150%;
    height: 100%;
    transition: all 0.4s ease-in-out;
}

.properties-container .propertie-card .shadow-card {
    position: absolute;
    top: 0;
    width: 100%;
    height: 100%;
    background-image: linear-gradient(to top, #000000b2 25%, transparent 100%);
    z-index: 2;
    transition: all 0.4s ease-in-out;
    color: var(--color3);
    padding: 0.5rem;
    display: flex;
    justify-items: end;
    flex-direction: column;
}

.properties-container .propertie-card .card-information {
    position: absolute;
    width: 100%;
    height: 30%;
    z-index: 2;
    transition: all 0.4s ease-in-out;
    left: 0;
    bottom: 0;
    padding: 1rem;
    display: flex;
    flex-direction: column;
}

.properties-container .propertie-card .card-information .price {
    position: absolute;
    right: 1rem;
    bottom: 0.5rem;
    font-size: 20px;
}

.properties-container .propertie-card .type {
    position: absolute;
    right: 0.8rem;
    top: 0.5rem;
    font-size: 16px;
    padding: 0.5rem 1rem;
    border-radius: 10px;
    font-weight: bold;
}

.properties-container .propertie-card .shadow-card h3 {
    font-size: 18px;
}

.properties-container .propertie-card:hover > .shadow-card {
    opacity: 1;
    transition: all 0.4s ease-in-out;
}

.properties-container .propertie-card:hover > .card-picture img {
    filter: blur(2px);
    transform: scale(1.1);
    transition: all 0.4s ease-in-out;
}

@media screen and (max-width: 768px) {
    .control-bar .mobile-icon {
        display: flex;
        justify-content: center;
        align-items: center;
        width: 100%;
        height: 100%;
        color: #ffffff;
        font-size: 20px;
        cursor: pointer;
    }

    .control-bar {
        width: 70px;
        height: 70px;
        position: fixed;
        left: 76%;
        top: 86%;
        margin: auto;
        border-radius: 50%;
        z-index: 10;
    }

    /* .control-bar form {
        display: none;
    } */

    .control-bar.active {
        width: 100%;
        height: 100vh;
        position: fixed;
        left: 0;
        top: 0;
        background-color: var(--color4);
        border-radius: 0 15px 15px 0;
        overflow: hidden;
        overflow-y: auto;
    }

    .control-bar.active form {
        width: 100%;
        height: 100%;
        display: flex;
        align-items: center;
        flex-direction: column;
        padding: 0.5rem 1rem;
        color: #ffffff;
        transform: scale(0.9);
    }

    .control-bar.active .mobile-icon {
        color: #ffffff;
        font-size: 20px;
        cursor: pointer;
        padding: 1.5rem;
        justify-content: flex-start;
        height: auto;
    }

    .control-bar form input[type="text"] {
        width: 100%;
        margin-right: 0.5rem;
        margin-top: 1rem;
    }

    .properties-container {
        width: 100%;
        margin-top: 10vh;
    }

    .properties-container .propertie-card {
        width: 90%;
        height: 400px;
        margin: auto;
    }
}